Libgpg-error

From CBLFS
Jump to: navigation, search
Download Source: ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-1.11.tar.bz2

Contents

Introduction to Libgpg-error

Libgpg-error is a small library with error codes and descriptions shared by most GnuPG related software.

Project Homepage: http://www.gnupg.org/download/

Dependencies

Required

Optional

Non-Multilib

Please contribute

Multilib

32Bit

Compile the package:

CC="gcc ${BUILD32}" ./configure --prefix=/usr
make

Install the package

make install
mv -v /usr/bin/gpg-error-config{,-32}

N32

Please contribute

64Bit

Compile the package:

CC="gcc ${BUILD64}" ./configure --prefix=/usr --libdir=/usr/lib64

make

Install the package

make install
ln -sfv multiarch_wrapper /usr/bin/gpg-error-config
cp src/gpg-error-config /usr/bin/gpg-error-config-64
Personal tools